psislw {loo} | R Documentation

## Pareto smoothed importance sampling (deprecated, old version)

### Description

As of version `2.0.0` this function is deprecated. Please use the `psis` function for the new PSIS algorithm.

### Usage

    psislw(lw, wcp = 0.2, wtrunc = 3/4, cores = getOption("mc.cores", 1),
      llfun = NULL, llargs = NULL, ...)

### Arguments

`lw` | A matrix or vector of log weights. For computing LOO, `lw = -log_lik`, the negative of an S (simulations) by N (data points) pointwise log-likelihood matrix.
`wcp` | The proportion of importance weights to use for the generalized Pareto fit. The `100*wcp`% largest weights are used as the sample from which to estimate the parameters of the generalized Pareto distribution.
`wtrunc` | For truncating very large weights to S^`wtrunc`. Set to zero for no truncation.
`cores` | The number of cores to use for parallelization. This defaults to the option `mc.cores` which can be set for an entire R session by `options(mc.cores = NUMBER)`, the old option `loo.cores` is now deprecated but will be given precedence over `mc.cores` until it is removed. As of version 2.0.0, the default is now 1 core if `mc.cores` is not set, but we recommend using as many (or close to as many) cores as possible.
`llfun, llargs` | See `loo.function`.
`...` | Ignored when `psislw` is called directly. The `...` is only used internally when `psislw` is called by the `loo` function.

### Value

A named list with components `lw_smooth` (modified log weights) and `pareto_k` (estimated generalized Pareto shape parameter(s) k).

### References

Vehtari, A., Gelman, A., and Gabry, J. (2017a). Practical Bayesian model evaluation using leave-one-out cross-validation and WAIC. Statistics and Computing. 27(5), 1413–1432. doi:10.1007/s11222-016-9696-4. ( journal, preprint arXiv:1507.04544).

Vehtari, A., Gelman, A., and Gabry, J. (2017b). Pareto smoothed importance sampling. arXiv preprint: http://arxiv.org/abs/1507.02646/

### See Also

`pareto-k-diagnostic` for PSIS diagnostics.

[Package loo version 2.1.0 Index]